{% load static i18n compress django_htmx diesos_extras %}<!DOCTYPE html>
{% get_current_language as LANGUAGE_CODE %}
<html lang="{{ LANGUAGE_CODE }}">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>{% block title %}Diesos{% endblock title %}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Integrated system for recording and tracking objects in the event of a disaster">
    <meta name="author" content="Haute école Arc (HES-SO)">

    <link rel="icon" href="{% static 'favicon/favicon.ico' %}">

    <link rel="apple-touch-icon" sizes="180x180" href="{% static 'favicon/apple-touch-icon.png' %}">
    <link rel="icon" type="image/png" sizes="32x32" href="{% static 'favicon/favicon-32x32.png' %}">
    <link rel="icon" type="image/png" sizes="16x16" href="{% static 'favicon/favicon-16x16.png' %}/">
    <link rel="manifest" href="{% static 'favicon/site.webmanifest' %}">

    {% block css %}
    <!-- Latest compiled and minified Bootstrap CSS -->
    <link rel="stylesheet" href="{% static 'css/bootstrap/bootstrap.min.css' %}" />
      {% compress css %}
      <link href="{% static 'css/bootstrap/bootstrap-icons.css' %}" rel="stylesheet" />
      <link href="{% static 'css/project.css' %}" rel="stylesheet" />
      {% endcompress %}
    {% endblock %}
    <!-- Le javascript
    ================================================== -->
    {# Placed at the top of the document so pages load faster with defer #}
    {% block javascript %}
      <!-- Bootstrap JS -->
      <script defer src="{% static 'js/bootstrap/bootstrap.bundle.min.js' %}"></script>
      <!-- Your stuff: Third-party javascript libraries go here -->
      <script defer src="{% static 'js/htmx/htmx.min.js' %}"></script>
      {% django_htmx_script %}
      {% if debug %}<script defer src="{% static 'js/htmx/debug.js' %}"></script>{% endif %}
      <!-- place project specific Javascript in this file -->
      {% compress js %}
      <script defer src="{% static 'js/project.js' %}"></script>
      {% endcompress %}
    {% endblock javascript %}

  </head>

  <body hx-headers='{"X-CSRFToken": "{{ csrf_token }}"}' class="min-vh-100">
    <wrapper class="min-vh-100 d-flex flex-column">

      <nav class="navbar navbar-expand-md navbar-light bg-light">
        <div class="container-fluid">
          <button class="navbar-toggler navbar-toggler-right" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <a class="navbar-brand" href="{% url 'home' %}">DIESOS <i class="bi-fire text-diesos"></i></a>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
              {% if perms.artefacts.view_artefact %}
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" data-bs-toggle="dropdown" aria-expanded="false">{% translate 'artefacts'|capfirst %}</a>
                <ul class="dropdown-menu">
                  {% if perms.artefacts.view_artefact %}
                    <li><a class="dropdown-item" href="{% url 'artefacts:list' %}">{% translate 'list'|capfirst %}</a></li>
                  {% endif %}
                  {% if perms.artefacts.add_artefact %}
                    <li><a class="dropdown-item {% if not processing_line %}disabled{% endif %}" href="{% url 'artefacts:add' %}">{% translate 'create'|capfirst %}</a></li>
                  {% endif %}
                {% if perms.artefacts.view_artefacttype %}
                  <li><hr class="dropdown-divider"></li>
                    <li><a class="dropdown-item" href="{% url 'artefacts:list-type' %}">{% translate 'artefacts types'|capfirst %}</a></li>
                  {% endif %}
                  {% if perms.artefacts.view_prioritylevel %}
                    <li><a class="dropdown-item" href="{% url 'artefacts:priority-level' %}">{% translate 'priority levels'|capfirst %}</a></li>
                  {% endif %}
                {% if perms.artefacts.view_typeofdamage %}
                  <li><hr class="dropdown-divider"></li>
                    <li><a class="dropdown-item" href="{% url 'artefacts:list-damage-type' %}">{% translate 'damage types'|capfirst %}</a></li>
                  {% endif %}
                  {% if perms.artefacts.view_damagegroup %}
                    <li><a class="dropdown-item" href="{% url 'artefacts:list-damage-group' %}">{% translate 'damage groups'|capfirst %}</a></li>
                  {% endif %}
                  {% if perms.artefacts.add_existingcollection %}
                    <li><hr class="dropdown-divider"></li>
                    <li><a class="dropdown-item" href="{% url 'artefacts:import-file' %}">{% translate 'import existing collection'|capfirst %}</a></li>
                  {% endif %}
                  {% if perms.artefacts.view_existingcollection %}
                    <li><a class="dropdown-item" href="{% url 'artefacts:list-existing-collection' %}">{% translate 'existing collection'|capfirst %}</a></li>
                  {% endif %}
                </ul>
              </li>
              {% endif %}
              {% if perms.treatments.view_processingline %}
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" data-bs-toggle="dropdown" aria-expanded="false">{% translate 'treatments'|capfirst %}</a>
                <ul class="dropdown-menu">
                  {% if perms.treatments.view_processingline %}
                    <li><a class="dropdown-item" href="{% url 'treatments:list-processing-line' %}">{% translate 'processing lines'|capfirst %}</a></li>
                  {% endif %}
                  {% if perms.treatments.view_treatmenttype %}
                    <li><a class="dropdown-item" href="{% url 'treatments:list-treatment-type' %}">{% translate 'treatment types'|capfirst %}</a></li>
                  {% endif %}
                </ul>
              </li>
              {% endif %}
              {% if perms.locations.view_location %}
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" data-bs-toggle="dropdown" aria-expanded="false">{% translate 'locations'|capfirst %}</a>
                <ul class="dropdown-menu">
                  {% if perms.locations.view_location %}
                    <li><a class="dropdown-item" href="{% url 'locations:list' %}">{% translate 'locations'|capfirst %}</a></li>
                  {% endif %}
                  {% if perms.locations.view_locationtype %}
                    <li><a class="dropdown-item" href="{% url 'locations:list-types' %}">{% translate 'location types'|capfirst %}</a></li>
                  {% endif %}
                </ul>
              </li>
              {% endif %}
              {% if perms.artefacts.view_artefact %}
              {% comment "We should add other permissions when models are ready (processing line, ...)" %}{% endcomment %}
              <li class="nav-item">
                <a class="nav-link {% if not processing_line %}disabled{% endif %}" href="{% url 'barcodes:read' %}"><i class="bi-upc-scan"></i> {% translate 'barcode'|capfirst %}</a>
              </li>
              {% endif %}
            </ul>
            <ul class="navbar-nav">
              <li class="nav-item dropdown">
                {% get_current_language as LANGUAGE_CODE %}
                {% get_available_languages as LANGUAGES %}
                {% get_language_info_list for LANGUAGES as languages %}
                <a class="nav-link dropdown-toggle" href="#" data-bs-toggle="dropdown" aria-expanded="false">{{ LANGUAGE_CODE|language_name_local|capfirst }}</a>
                <ul class="dropdown-menu dropdown-menu-end" id="language-list">
                  {% for language in languages %}
                  <li><a class="dropdown-item" href="{% url 'set_language' %}" data-language-code="{{ language.code }}">{{ language.name_local|capfirst }}</a></li>
                  {% endfor %}
                </ul>
              </li>
              {% if request.user.is_authenticated %}
                <li class="nav-item dropdown ms-2">
                  <a class="nav-link dropdown avatar" href="#" data-bs-toggle="dropdown" aria-expanded="false">
                    <img src="{{ request.user.email|gravatar }}" class="avatar img-fluid rounded me-1" alt="avatar" />
                  </a>
                  <ul class="dropdown-menu dropdown-menu-end">
                    <li>
                      {# URL provided by django-allauth/account/urls.py #}
                      <a class="dropdown-item" href="{% url 'users:detail' request.user.username  %}">{% translate "My Profile" %}</a>
                    </li>
                    {% if request.user.is_staff %}
                      <li><hr class="dropdown-divider"></li>
                      {% if SETTINGS_MODULE == 'testserver' %}
                        <li>
                          <a class="dropdown-item" href="/mailhog/" target="_blank">MailHog</a>
                        </li>
                      {% elif SETTINGS_MODULE == 'local' %}
                        <li>
                          <a class="dropdown-item" href="http://localhost:8025/" target="_blank">MailHog</a>
                        </li>
                      {% endif %}
                      {% if SETTINGS_MODULE in 'testserver,local' %}
                        <li>
                          <a class="dropdown-item" href="https://dev.diesos.ch/pgbackups/" target="_blank">Backups</a>
                        </li>
                      {% endif %}
                      <li>
                        <a class="dropdown-item text-danger" href="{% url 'admin:index' %}" target="_blank">{% translate "admin"|capfirst %}</a>
                      </li>
                    {% endif %}
                    <li><hr class="dropdown-divider"></li>
                    <li>
                      {# URL provided by django-allauth/account/urls.py #}
                      <a class="dropdown-item" href="{% url 'account_logout' %}">{% translate "Sign Out" %}</a>
                    </li>
                  </ul>
                </li>
              {% else %}
                {% if ACCOUNT_ALLOW_REGISTRATION %}
              <li class="nav-item">
                {# URL provided by django-allauth/account/urls.py #}
                <a id="sign-up-link" class="nav-link" href="{% url 'account_signup' %}">{% translate "Sign Up" %}</a>
              </li>
              {% endif %}
                <li class="nav-item">
                  {# URL provided by django-allauth/account/urls.py #}
                  <a id="log-in-link" class="nav-link" href="{% url 'account_login' %}">{% translate "Sign In" %}</a>
                </li>
              {% endif %}
            </ul>
          </div>
        </div>
      </nav>

      <main class="flex-fill">

        {% if perms.treatments.view_processingline %}
        <div class="container-fluid mb-2" onclick="window.location='{% url 'treatments:select-location' %}'">
          <div class="row {% if not processing_line %}bg-warning{% else %}bg-success{% endif %}">
            <div class="col mt-1 mb-1">
              {% if not processing_line %}
                <p class="mb-1"><span class="h5 align-middle">{% translate "You are currently not registered at a processing line" %}</span> <span class="float-end"><i class="bi bi-box-arrow-in-right"></i> {% translate "join a processing line"|capfirst %}</span></p>
              {% else %}
                <p class="mb-1"><span class="h5">{{ processing_line.name }}</span> <span class="float-end"><i class="bi bi-box-arrow-right"></i> {% translate "leave this location"|capfirst %}</span></p>
              {% endif %}
            </div>
          </div>
        </div>
        {% endif %}

        <div class="container">
          {% if messages %}
            {% for message in messages %}
              <div class="alert alert-dismissible {% if message.tags %}alert-{{ message.tags }}{% endif %}">
                {{ message|safe }}
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            {% endfor %}
          {% endif %}

          {% block content %}
            <p>Use this document as a way to quick start any new project.</p>
          {% endblock content %}
        </div>

      </main>

      <footer class="justify-content-between align-items-center py-3 mt-4 border-top">
        <div class="container">
          <div class="row">
            <div class="col-md-4 col-sm-6 col-xs-12">
              <img src="{% static 'images/he-arc-logo.svg' %}" style="height: 2.5em;" class="mb-3">
            </div >
            <div class="d-sm-none d-md-block col-md-4">
              <p class="text-muted text-center">&copy; {% now "Y" %} Haute école Arc, HES-SO | <a class="text-muted" href="https://gitlab.com/heg-arc/diesos/diesos/-/commit/{{ GIT_REVISION }}" target="_blank" style="text-decoration: none;">{{ GIT_REVISION }}</a></p>
            </div>
            <div class="col-md-4 col-sm-6 col-xs-12">
              <ul class="nav justify-content-end">
                <li class="nav-item"><a href="{% url 'home' %}" class="nav-link py-0 px-2 text-muted">{% translate 'home'|capfirst %}</a></li>
                <li class="nav-item"><a href="{% url 'about' %}" class="nav-link py-0 px-2 text-muted">{% translate 'about'|capfirst %}</a></li>
                <li class="nav-item"><a href="https://docs.diesos.ch" target="_blank" class="nav-link py-0 px-2 text-muted">{% translate 'documentation'|capfirst %}</a></li>
              </ul>
            </div>
          </div>
        </div>
      </footer>

    </wrapper>

    {% block modal %}{% endblock modal %}

    <script>
      /** Change language selector sending POST request instead of GET **/
      const csrftoken = "{{ csrf_token }}";
      const languageList = document.querySelector('#language-list');

      languageList.addEventListener('click', function(event) {
        event.preventDefault();
        const target = event.target;
        const url = target.getAttribute('href');
        const languageCode = target.dataset.languageCode;
        const xhr = new XMLHttpRequest();
        xhr.open('POST', url, true);
        xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
        xhr.setRequestHeader('X-CSRFToken', csrftoken);
        xhr.onreadystatechange = function() {
          if (xhr.readyState === 4 && xhr.status === 200) {
            reloadPage();
          }
        };
        xhr.send(`language=${languageCode}`);
      });

      function reloadPage() {
        location.reload();
      }
    </script>

    {% block inline_javascript %}
    {% comment %}
    Script tags with only code, no src (defer by default). To run
    with a "defer" so that you run inline code:
    <script>
      window.addEventListener('DOMContentLoaded', () => {/* Run whatever you want */});
    </script>
    {% endcomment %}
    {% endblock inline_javascript %}
  </body>
</html>
